Appupdater: error in Vista

Help
2008-12-20
2013-10-07
  • Lhompê Jacky
    Lhompê Jacky
    2008-12-20

    Like Tangana, I've tried to install Appupdater in Vista environment, but after "succesful installation", instead of opening, the administrator click give a message of error in "appupdaterw.exe" log:

    Traceback (most recent call last):
      File "appupdaterw.py", line 91, in <module>
      File "libappupdater\guiqt.pyc", line 1674, in run
      File "ntpath.pyc", line 102, in join
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xea in position 14: ordinal not in range(128)
    Traceback (most recent call last):
      File "appupdaterw.py", line 91, in <module>
      File "libappupdater\guiqt.pyc", line 1674, in run
      File "ntpath.pyc", line 102, in join
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xea in position 14: ordinal not in range(128)

    It seems perhaps to be linked to the administrator's name in european languages? In my case the registered name is "Lhompê" and I can't change that! As you answered it to tangana, have you fixed that "english bug", or would it be more wise to uninstall and run with "updatestar" for example, because my english is not so good and i don't really understand how to do what you've explain to him. For instance, I would prefer to install sourceforge freeware if possible...
    Thanks for your help on this bug that I hope you'll fix soon. I wait patiently for your answer...

     
    • nabber00
      nabber00
      2008-12-22

      You should see this fixed in the next release.

       
      • Ice Lewis
        Ice Lewis
        2013-10-07

        Hello, is problem with Unicode characters solved yet? With last version of AppUpdater installed on WinXP I get similar error (ran appupdater.exe from cmd-line):

        Traceback (most recent call last):
        File "appupdaterw.py", line 83, in <module>
        File "libappupdater\guitk.pyo", line 1471, in run
        File "libappupdater\guitk.pyo", line 81, in init
        File "libappupdater\core.pyo", line 216, in init
        File "libappupdater\core.pyo", line 235, in load_config
        File "libappupdater\download.pyo", line 166, in urlopen
        File "libappupdater\download.pyo", line 850, in complete_url
        File "libappupdater\download.pyo", line 1180, in get_transport
        UnicodeEncodeError: 'ascii' codec can't encode character u'\xed' in position 48: ordinal not in range(128)

        AppUpdater GUI can't run at all.

        My variables:
        %USERNAME% - User
        %APPDATA% - C:\Documents and Settings\User\Data aplikací

        Thank you for reply.